Cocoon API: Class Router

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.framework
Class Router

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.framework.Router

All Implemented Interfaces:
  Actor, Configurable, Status

Direct Known Subclasses:
  FormatterFactory, InterpreterFactory, ProcessorFactory, ProducerFactory

public abstract class Router
extends AbstractActor
implements Configurable, Status

This class implements a basic Router implementation that is used by those classes that must assign the execution of a particular pluggable instance depending on some "type reaction".

Version:
  $Revision: 1.6 $ $Date: 2000/10/15 22:43:14 $
Author:
  Stefano Mazzocchi

Field Summary
`protected java.lang.String` | `defaultType`
`protected java.util.Hashtable` | `objects`

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Constructor Summary
`Router()`

Method Summary
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`void` | `init(Configurations conf)` Initialize the class by passing its configurations.

Methods inherited from class org.apache.cocoon.framework.AbstractActor
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objects

    protected java.util.Hashtable objects

### defaultType

    protected java.lang.String defaultType

Constructor Detail

### Router

    public Router()

Method Detail

### init

    public void init(Configurations conf)

  Description copied from interface: `Configurable`
  Initialize the class by passing its configurations.
  Specified by:
    `init` in interface `Configurable`

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.